Bug 426584 - [Wayland] Mouse Mark and Mouse Click animations don't activate with Wacom tablet
Summary: [Wayland] Mouse Mark and Mouse Click animations don't activate with Wacom tablet
Status: RESOLVED FIXED
Alias: None
Product: kwin
Classification: Plasma
Component: effects-various (show other bugs)
Version: git master
Platform: OpenSUSE Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: KWin default assignee
URL:
Keywords: wayland
Depends on:
Blocks:
 
Reported: 2020-09-16 03:24 UTC by Thiago Sueto
Modified: 2022-01-21 19:26 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.25


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thiago Sueto 2020-09-16 03:24:09 UTC
SUMMARY
Basically what is said on title: Mouse Mark and Mouse Click animations don't activate with Wacom tablet. They work fine with mouse and touchpad.
Mouse mark isn't particularly useful, but mouse click animations are useful for presentations, lessons and video recording, for instance.

STEPS TO REPRODUCE
1. Enable Mouse Mark and Mouse Click Animation
2. Bind a keyboard shortcut for them
3. Attempt to use both effects with tablet

OBSERVED RESULT
Mouse mark can't scribble on screen.
Mouse click animation does nothing.

EXPECTED RESULT
Mouse mark scribbles on screen.
Mouse click animation works and show touches on screen.
Comment 1 Thiago Sueto 2020-09-16 23:39:12 UTC
Note: on Xorg both effects work perfectly, similarly to mouse and touchpad.
Comment 2 Aleix Pol 2022-01-19 15:38:08 UTC
EffectsFilter (in input.cpp) is not taking tablet events into account. Confirming.
Comment 3 Bug Janitor Service 2022-01-20 01:43:58 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/kwin/-/merge_requests/1914
Comment 4 Aleix Pol 2022-01-21 09:48:16 UTC
Git commit 354857e9f115e7335a38c1e57345f18fd2e2fa12 by Aleix Pol Gonzalez, on behalf of Aleix Pol.
Committed on 21/01/2022 at 09:33.
Pushed by apol into branch 'master'.

mouseclick: Also decorate tablet events

M  +53   -1    src/effects/mouseclick/mouseclick.cpp
M  +13   -0    src/effects/mouseclick/mouseclick.h

https://invent.kde.org/plasma/kwin/commit/354857e9f115e7335a38c1e57345f18fd2e2fa12